# WEB+DB PRESS Vol.96 連載「Perl Hackers Hub」サンプルコード

技術評論社刊「WEB+DB PRESS Vol.96」の連載「Perl Hackers Hub」第42回「大規模広告配信でのCPANモジュールの活用」（星野将著）のサンプルコードです。

## compare_serialize_size ディレクトリ

compare_serialize_size ディレクトリ配下では 記事で紹介した JSON::XS と Data::MessagePackの圧縮率比較ができます。

    $ cd compare_serialize_size
    $ cpanm -L local --installdeps .
    $ perl -I local/lib/perl5/ compare_serialize_size.pl

## select_cpanfile_version ディレクトリ

このディレクトリ配下では記事で紹介した、cpanfileによるCPANモジュールのバージョンを指定したインストールができます。

### newest_plack ディレクトリ

    $ cd select_cpanfile_version/newest_plack
    $ cpanm -L local --installdeps .
    $ perl -I local/lib/perl5/ -MPlack -le 'print $Plack::VERSION'


コマンド実行によって出力されたPlackのバージョンと [CPAN](http://search.cpan.org/dist/Plack/) に置かれている最新バージョンが同じであることを確認してください。

### data_message_pack_049 ディレクトリ

    $ cd select_cpanfile_version/data_message_pack_049
    $ cpanm -L local --installdeps .
    $ perl -I local/lib/perl5 -MData::MessagePack -le 'print $Data::MessagePack::VERSION';

コマンド出力結果が `0.49` であることを確認してください。

### data_message_pack_newer ディレクトリ

    $ cd select_cpanfile_version/data_message_pack_newer
    $ cpanm -L local --installdeps .
    $ perl -I local/lib/perl5 -MData::MessagePack -le 'print $Data::MessagePack::VERSION';

コマンド実行によって出力されたData::Messagepackのバージョンと [CPAN](http://search.cpan.org/dist/Data-MessagePack/) に置かれている最新バージョンが同じであることを確認してください。

## plack_access_log ディレクトリ

このディレクトリ配下では記事で紹介した、Plack::Middleware::AxsLogとFile::RotateLogsを用いたアクセスログを出力確認ができます。

`not_running_sample.psgi` は記事の掲載内容そのままのファイルになります。
このままではfluct関連のライブラリがないため動作しません。
そのため、動作確認用のファイルを `running_sample.psgi` として用意いたしました。

    $ cd plack_access_log
    $ cpanm -L local --installdeps .
    $ ./local/bin/plackup -I local/lib/perl5 running_sample.psgi

上記実行後、ブラウザから `http://localhost:5000/` にアクセスし、 `/tmp/access_log` の存在と中身を確認してください。


