use strict;
use warnings;

use Plack::Builder;
use File::RotateLogs;

my $rotatelogs = File::RotateLogs->new(
    logfile => '/tmp/access_log',
    rotationtime => (60 * 60)
);

my $app = sub {
    my $env = shift;
    return [
        200,
        ["Content-Type", "text/plain"],
        ['plack access log test'],
    ];
};

builder {
    enable 'AxsLog',
        combined => 1,
        response_time => 1,
        logger => sub {
            $rotatelogs->print(@_)
        };

    $app;
};
